; XLFD name::
; -katsumura&niwa-ekanji-medium-r-normal--24-240-75-75-c-240-daikanwa-1
; ....
; -katsumura&niwa-ekanji-medium-r-normal--24-240-75-75-c-240-daikanwa-6
;
; plane 1 == MN00001 to MN08836
; plane 2 == MN08837 to MN17672
; plane 3 == MN17673 to MN26508
; plane 4 == MN26509 to MN35344
; plane 5 == MN35345 to MN44180 
; plane 6 == MN44181 to MN50476
; (= p (+1 (/ MN 8836)))
; (= h (+ 33 (/ (% MN 8836) 94)))
; (= l (+ 33 (% MN 94)))

(define-charset nil 'japanese-daikanwa-1
  [2 94 2 0 ?: 0 "DAIKANWA-1" "DAIKANWA-1 (Japanese Daikanwa)"
     "DAIKANWA Plane 1 Japanese Daikanwa"])
(define-charset nil 'japanese-daikanwa-2
  [2 94 2 0 ?; 0 "DAIKANWA-2" "DAIKANWA-2 (Japanese Daikanwa)"
     "DAIKANWA Plane 2 Japanese Daikanwa"])

;(define-charset nil 'japanese-daikanwa-3
;  [2 94 2 0 ?< 0 "DAIKANWA-3" "DAIKANWA-3 (Japanese Daikanwa)"
;     "DAIKANWA Plane 3 Japanese Daikanwa"])
;(define-charset nil 'japanese-daikanwa-4
;  [2 94 2 0 ?= 0 "DAIKANWA-4" "DAIKANWA-4 (Japanese Daikanwa)"
;     "DAIKANWA Plane 4 Japanese Daikanwa"])
;(define-charset nil 'japanese-daikanwa-5
;  [2 94 2 0 ?> 0 "DAIKANWA-5" "DAIKANWA-5 (Japanese Daikanwa)"
;     "DAIKANWA Plane 5 Japanese Daikanwa"])
;(define-charset nil 'japanese-daikanwa-6
;  [2 94 2 0 ?\? 0 "DAIKANWA-6" "DAIKANWA-6 (Japanese Daikanwa)"
;     "DAIKANWA Plane 6 Japanese Daikanwa"])

;; $B;W$&$K(B, ISO 2022$B$G;XDj2DG=$J$I$s$J%(%9%1!<%WId9f$,$-$F$bBg>fIW(B
;; $B$J$h$&$KFbItId9f$N3HD%$r9T$&$Y$-$G$O$J$$$N$@$m$&$+!)(B
;; $B<B:]$K(B, $BIT0U$K(BESC $ ( ?$B$H$+(BESC $ ( >$B$rFI$^$5$l$?$i:$$i$J$$$+$J!)(B

(set-fontset-font 
 "-*-fixed-medium-r-normal-*-24-*-*-*-*-*-fontset-24" 
 'japanese-daikanwa-1 
 "-*-*-medium-r-normal--24-*-*-*-*-*-daikanwa-1")

(set-fontset-font 
 "-*-fixed-medium-r-normal-*-24-*-*-*-*-*-fontset-24" 
 'japanese-daikanwa-2 
 "-*-*-medium-r-normal--24-*-*-*-*-*-daikanwa-2")
;; ....
;;

;; for testing::
(char-to-string (make-char 'japanese-daikanwa-1 33 33))
(char-to-string (make-char 'japanese-daikanwa-1 126 126))
(char-list-to-string (reverse
 (let ((s '())
       (i 0) (j 0))
   (while (< i 94)
     (setq j 0)
     (while (< j 94)
       (setq s 
             (cons (make-char 'japanese-daikanwa-1 (+ i 33) (+ j 33))
                   s))
       (setq j (1+ j)))
     (setq i (1+ i)))
   s)))
